#include <stdio.h>
#include <stdlib.h>

#define RowSize 64

#define Tests 1

inline void to_mem(int *m, int k)
{
    int i,j;

    for(i = 0; i < RowSize; i++)
    {
        for(j = 0; j < RowSize; j++)
        {
            *(m+2*RowSize*RowSize*k+i*RowSize+j) = k*25+100 + i + j;
            //fprintf(stdout, "%x %d %d %d\n", m+2*RowSize*RowSize*k+i*RowSize+j, i, j, *(m+2*RowSize*RowSize*k+i*RowSize+j));
        }
    }
}

inline void from_mem(int *m, int k)
{
    int i,j;

    for(i = 0; i < RowSize; i++)
    {
        for(j = 0; j < RowSize; j++)
        {
            if(*(m+2*RowSize*RowSize*k+i*RowSize+j) != k*25+100 + i + j)
            {
                fprintf(stdout, "Error: %x %d %d %d\n", m+2*RowSize*RowSize*k+i*RowSize+j, i, j, *(m+2*RowSize*RowSize*k+i*RowSize+j));
            }
        }
    }
}

int main()
{
    int f = 0;
    int count = 0;

    int *matToMem   = (int *)malloc(20000000);

    to_mem(matToMem, 0);
    int t=1;

    while(count < 1000)
    {
        int random = rand()%2;
        if(random == 0)
        {
            to_mem(matToMem, t);
            t++;
        }
        else
        {
            from_mem(matToMem, f);
            if(f < t-1)
                f++;
        }
        count++;
    }    
}
