module mkmultiplierbackup(CLK,
		    RST,
		    plbBRAMWires_bramRST,
		    plbBRAMWires_bramAddr,
		    plbBRAMWires_bramDout,
		    plbBRAMWires_bramWEN,
		    plbBRAMWires_bramEN,
		    plbBRAMWires_bramCLK,
		    plbBRAMWires_bramDin,		    		  
		    plbBRAMWires_bramRST,
		    plbBRAMWires_bramAddr,
		    plbBRAMWires_bramDout,
		    plbBRAMWires_bramWEN,
		    plbBRAMWires_bramEN,
		    plbBRAMWires_bramCLK,
		    plbBRAMWires_bramDin,
		    bramInitiatorWires_bramRST,
		    bramInitiatorWires_bramAddr,
		    bramInitiatorWires_bramDout,
		    bramInitiatorWires_bramWEN,
		    bramInitiatorWires_bramEN,
		    bramInitiatorWires_bramCLK,
		    bramInitiatorWires_bramDin,		    		  
		    bramInitiatorWires_bramRST,
		    bramInitiatorWires_bramAddr,
		    bramInitiatorWires_bramDout,
		    bramInitiatorWires_bramWEN,
		    bramInitiatorWires_bramEN,
		    bramInitiatorWires_bramCLK,
		    bramInitiatorWires_bramDin);
  input  CLK;
  input  RST;

  // action method plbBRAMWires_bramIN
  output  [31 : 0] plbBRAMWires_bramAddr;
  output  [31 : 0] plbBRAMWires_bramDout;
  output  [3 : 0] plbBRAMWires_bramWEN;
  output  plbBRAMWires_bramEN;
  output  plbBRAMWires_bramCLK;    
  output  plbBRAMWires_bramRST;

  // value method bramTargetWires_bramOUT
  input [31 : 0] plbBRAMWires_bramDin;
   
  wire [13:0] plbBRAMWires_bramAddr_our;
  assign plbBRAMWires_bramAddr = {16'h00000,plbBRAMWires_bramAddr_our, 2'b00};


  
  // action method bramTargetWires_bramIN
  output  [31 : 0] bramInitiatorWires_bramAddr;
  output  [31 : 0] bramInitiatorWires_bramDout;
  output  [3 : 0] bramInitiatorWires_bramWEN;
  output  bramInitiatorWires_bramEN;
  output  bramInitiatorWires_bramCLK;    
  output  bramInitiatorWires_bramRST;

  // value method bramTargetWires_bramOUT
  input [31 : 0] bramInitiatorWires_bramDin;
   
  wire [13:0] bramInitiatorWires_bramAddr_our;
  assign bramInitiatorWires_bramAddr = {16'h00000,bramInitiatorWires_bramAddr_our, 2'b00};



  // signals for module outputs
  wire [31 : 0] bramTargetWires_dinBRAM;
  wire [31 : 0] plbBRAMWires_dinBRAM;  

wire RST_N;
assign RST_N = ~RST;

mkMultiplierBackupTop  m(
	        .CLK(CLK),
	        .RST_N(RST_N),
		.plbBRAMWires_bramAddr(plbBRAMWires_bramAddr_our),
		.plbBRAMWires_bramDout(plbBRAMWires_bramDout),
		.plbBRAMWires_bramWEN(plbBRAMWires_bramWEN),
		.plbBRAMWires_bramEN(plbBRAMWires_bramEN),
	        .plbBRAMWires_bramCLK(plbBRAMWires_bramCLK),
		.plbBRAMWires_bramRST(plbBRAMWires_bramRST),
		.plbBRAMWires_din(plbBRAMWires_bramDin),
		.bramInitiatorWires_bramAddr(bramInitiatorWires_bramAddr_our),
		.bramInitiatorWires_bramDout(bramInitiatorWires_bramDout),
		.bramInitiatorWires_bramWEN(bramInitiatorWires_bramWEN),
		.bramInitiatorWires_bramEN(bramInitiatorWires_bramEN),
	        .bramInitiatorWires_bramCLK(bramInitiatorWires_bramCLK),
		.bramInitiatorWires_bramRST(bramInitiatorWires_bramRST),
		.bramInitiatorWires_din(bramInitiatorWires_bramDin)
		);

endmodule