`define BRAM_EN_NAME  "enBRAM"
`define BRAM_ADDR_NAME "addrBRAM"
`define BRAM_DOUT_NAME "doutBRAM"
`define BRAM_WEN_NAME "wenBRAM"
`define BRAM_DIN_NAME "dinBRAM"

//Note: Now assumes MCD are used for Clock, reset

interface BRAMTargetWires;
  (* always_ready, prefix="", enable=`BRAM_EN_NAME *)
  method Action bramIN((* port=`BRAM_ADDR_NAME *) Bit#(32) addr, 
                       (* port=`BRAM_DOUT_NAME *) Bit#(32) data, 
                       (* port=`BRAM_WEN_NAME *) Bit#(4) wen);
  (* always_ready, prefix="", result=`BRAM_DIN_NAME *)
  method Bit#(32) bramOUT();
endinterface
